QXPTypes.h File Reference
`#include "libqxp_utils.h"`
`#include <boost/optional.hpp>`
`#include <boost/variant.hpp>`
`#include <memory>`
`#include <vector>`
`#include <utility>`

Go to the source code of this file.

## Classes
struct | libqxp::Point
struct | libqxp::Rect
struct | libqxp::Color
struct | libqxp::Gradient
struct | libqxp::LineStyle
struct | libqxp::CharFormat
struct | libqxp::HJ
struct | libqxp::TabStop
struct | libqxp::ParagraphRule
struct | libqxp::ParagraphFormat
struct | libqxp::TextSpec
struct | libqxp::CharFormatSpec
struct | libqxp::ParagraphSpec
struct | libqxp::Text
struct | libqxp::Arrow
struct | libqxp::Frame
struct | libqxp::LinkedTextSettings
struct | libqxp::TextObject
struct | libqxp::TextSettings
struct | libqxp::TextPathSettings
struct | libqxp::CurveComponent
struct | libqxp::Object
struct | libqxp::Line
struct | libqxp::TextPath
struct | libqxp::Box
struct | libqxp::TextBox
struct | libqxp::PictureBox
struct | libqxp::Group
struct | libqxp::PageSettings
struct | libqxp::Page
struct | libqxp::QXPDocumentProperties

## Namespaces
namespace | libqxp

## Typedefs
typedef boost::variant< Color, Gradient > | libqxp::Fill

## Enumerations
enum class | libqxp::GradientType { libqxp::LINEAR , libqxp::MIDLINEAR , libqxp::RECTANGULAR , libqxp::DIAMOND , libqxp::CIRCULAR , libqxp::FULLCIRCULAR }
enum class | libqxp::LineCapType { libqxp::BUTT , libqxp::ROUND , libqxp::RECT , libqxp::STRETCH }
enum class | libqxp::LineJoinType { libqxp::MITER , libqxp::ROUND , libqxp::BEVEL }
enum class | libqxp::HorizontalAlignment { libqxp::LEFT , libqxp::CENTER , libqxp::RIGHT , libqxp::JUSTIFIED , libqxp::FORCED }
enum class | libqxp::VerticalAlignment { libqxp::TOP , libqxp::CENTER , libqxp::BOTTOM , libqxp::JUSTIFIED }
enum class | libqxp::TabStopType { libqxp::LEFT , libqxp::CENTER , libqxp::RIGHT , libqxp::ALIGN }
enum class | libqxp::ContentType { libqxp::UNKNOWN , libqxp::OBJECTS , libqxp::NONE , libqxp::TEXT , libqxp::PICTURE }
enum class | libqxp::TextPathAlignment { libqxp::ASCENT , libqxp::CENTER , libqxp::BASELINE , libqxp::DESCENT }
enum class | libqxp::TextPathLineAlignment { libqxp::TOP , libqxp::CENTER , libqxp::BOTTOM }
enum class | libqxp::CornerType { libqxp::DEFAULT , libqxp::ROUNDED , libqxp::BEVELED , libqxp::CONCAVE }
enum class | libqxp::BoxType { libqxp::UNKNOWN , libqxp::RECTANGLE , libqxp::OVAL , libqxp::POLYGON , libqxp::BEZIER }

## Functions
bool | libqxp::operator== (const Point &lhs, const Point &rhs)
bool | libqxp::operator!= (const Point &lhs, const Point &rhs)